com.threerings.micasa.util

## Interface MiCasaContext

All Superinterfaces:
  com.threerings.crowd.util.CrowdContext, ParlorContext, com.threerings.presents.util.PresentsContext

    public interface MiCasaContext
    extends ParlorContext

The micasa context encapsulates the contexts of all of the services that are used by the micasa client so that we can pass around one single context implementation that provides all of the necessary components to all of the services in use.

### Method Summary

All Methods Instance Methods Abstract Methods
`MiCasaFrame` `getFrame()` Returns a reference to the primary user interface frame.
`com.threerings.util.MessageManager` `getMessageManager()` Returns a reference to the message manager used by the client to generate localized messages.

### Methods inherited from interface com.threerings.parlor.util.ParlorContext

`getParlorDirector`

### Methods inherited from interface com.threerings.crowd.util.CrowdContext

`clearPlaceView, getChatDirector, getLocationDirector, getOccupantDirector, setPlaceView`

### Methods inherited from interface com.threerings.presents.util.PresentsContext

`getClient, getConfig, getDObjectManager`

### Method Detail

#### getFrame

    MiCasaFrame getFrame()

Returns a reference to the primary user interface frame. This can be used to set the top-level panel when we enter a game, etc.

#### getMessageManager

    com.threerings.util.MessageManager getMessageManager()

Returns a reference to the message manager used by the client to generate localized messages.

Specified by:
  `getMessageManager` in interface `com.threerings.crowd.util.CrowdContext`